Welcome!

1-abc.net File Configurator
Edit file attributes that you are not allowed to change normally!

A situation as it happens very often nowadays: You made lots of photographs with your digital camera. Then you copied them to your hard drive and after that you see that the camera clock and calendar was not configured correctly. Windows saves time and date of the creation, the last access and when the last modifications were done to that file. Changing to another date in the past or the future is normally impossible.

Users of 1-abc.net File Configurator can just laugh about it. A very easy to use interface in wizard style allows you to define your wishes in 4 easy steps.

In a first screen you can add all files you want to configure to a list. You can even add whole folders. Your modifications will be done to all files in it including all files in sub-folders then. The second screen allows you to determine these three existing file dates and times down to seconds for the files you want to change.

The third screen offers more file attributes like ‘read-only’, ‘hidden’, ‘archive’ or ‘system’. If you want to change such file attributes to all files in your list, 1-abc.net File Configurator is your perfect batch mode tool. Trying this with Windows Explorer could take hours for 100 files, with this tool it is just a few clicks.

The last step includes more file configuration options that could also make sense from time to time. You can decide if the modified file should be backuped before or saved to another folder. You can change file extensions to your needs and you can change file names to upper or lower case.

After entering this data the program changes all these dates and attributes automatically!

Feature Overview:

  • Very easy-to-use interface
  • Wizard-style to guide you through all settings that can be made
  • Program can also read from and write to SD cards, USB sticks, external drives etc.
  • Determine date and time of file creation, modification and last access
  • Configure attributes like read-only, system, hidden or archive in batch mode
  • Modify file extensions in batch mode
  • Switch file name characters to upper case or to lower case
  • Copy modified files to another folder
  • Increase or decrease file dates with a user defined time span
  • History feature to log your file modifications
  • Determine path to history file
  • Set a default project by option
  • Program can be installed on USB sticks, floppy disks or nearly all other re-writable media
  • Very low system resources required

For Windows® XP / Vista / 7 / 8
Chief Developer & Documentation: Stefan Siegert
Copyright 2005-2013 1-abc.net


Using the Main Screen

To work with 1-abc.net File Configurator is very easy. Here you can see how the main screen looks.

First you have to add files or folders to the list by clicking the 'Add File' or 'Add Folder' buttons. These are the files that you want to change. If you add a folder to this list, it modifies all files in this folder including all sub-folders, so please be patient! For adding more than one file to the list and for removing them from the list again you can use the multi-selection feature from your mouse. When you finished adding all files and folders you want to change, please click the 'Next' button to see the next screen.

Each file on a Windows system is tagged with three different dates that can not be modified normally. Here you can decide on what date and time the files you added to the list before should think that they were created, modified or last time accessed. If you want to change such a date, please remove the 'Don't change' checkbox first. If this checkbox is set, the date will be kept as it is and changes to the file will only be made for the options you want to modify. When you entered everything here to your satisfaction, click 'Next' to come to the next step.

Here you can see four different file attributes that are also saved to each Windows file. 'Read-only' files can not be modified by the user or any external program, 'hidden' files are not displayed in Windows Explorer if you did not configure it to display them. The 'Archive' attribute is necessary for backup programs and 'system' files are like an advanced version of 'read-only' files. When you try to remove a 'system" file, the warning message will ask you especially if you really want to delete it. To go on with step 4 by clicking 'Next'.

Now you can decide from the upper left side of the screen if you like to change files directly or if you want to copy them first. If you do so, the copy will get a '_renamed' added at the of the file name. You can also copy files to modify first to a new folder. If you select this option, please note that you have to browse for a destination folder first by clicking 'Browse'. Files copied to this folder will include the full path name in the file name to avoid any unwanted overwritings.

The area in the upper middle of the screens allows you to keep file names as they are or to change all characters to upper case or lower case. On the right side you can change file extensions. For example, you can enter 'JPG' in any 'from' field and 'jpg' in the corresponding 'to' field if you want to modify all JPG-files to jpg-files.

In the downer left side of the screen you can modify file dates with a time span. Just enter values for days, hours, minutes and seconds and select what kind of file time you want to change. Please note that you cannot execute the final step if this feature collides with time stamp data you entered in Step 2.

When all settings are done in this screen, you can click 'Next' to execute all file modifications.

After a warning message - please note that such attribute changes can cause problems with programs or Windows if you just change them on any files you find on your hard drive for fun - these configurations will be done. You get short summarization of how many files were changed. If you try to modify files that are already marked as 'read-only', the program can unfortunately do nothing. Such files will not be modified.


Menu

File

Open Project
Project files include all settings you made with this program. Here you can open a previously saved file configuration project.

Save Project
With this item you can save all settings you made with this program to a project file. This includes the file list as well as all checkmarks that are set or not as any other data you entered in step 1 to step 4.

Set current Project as Default
If you want to start the program with the same project settings each time automatically you can use this feature to set the currently opened project as default.

Language Selection
If you like to see the program in another language, check this feature to switch it. If your language is missing and you like to translate it, please send us an e-mail to translations@1-abc.net to get more information about it.

Exit
Select this option to leave the program.

Functions

Show history file
Displays your encrypting and decrypting history. Please note that only processes are logged when you activate this feature.

Print history file
Prints out your encrypting and decrypting history on a local printer or via network. Please select your printer and click 'OK' then.

Emtpy history file
Maybe you do not want to be reminded on the work you did with this program in the past. Then you can use this function to empty your history file.

Options
Here you can open the screen to make your default project settings, to decide if you prefer to log your file configuration activity to the history file and where this history file is located. Here you can see how this options screen looks:

Register

Get free Trial Key
From the first time you installed this program it runs 10 days for free. You can extend this trial period to 30 days easily when you register for a free trial key. Make sure that you are online. The key will be sent to you by e-mail.

Buy Full Version now
Click here to purchase the product online. You will be connected to an online shop where you have multiple payment options, after your payment is done, the full version key will be sent to you immediately.

Enter Key
When you have a trial key or a full version key you can enter it here to change the behaviour of the program. You should re-start the program after entering the key.

Help

Show Help File
Brings you to this help file. Whether you clicked there to read it now or you pressed “F1” which would be the other way to get it displayed.

Go to 1-abc.net Website
Visit the webpage of 1-abc.net. You will find more information about this product and other software there. Make sure that you are online.

About
Copyright information about this product.


About 1-abc.net …

1-abc.net software is a young and dynamic company, founded 2005, consisting of ambitious and highly experienced developers, marketing experts, distributors, designers, translaters and product managers. The head office is located in Germany, employees and freelancers are working from offices in seven countries all over the world.

1-abc.net's business activities include software development, software distribution and IT consulting. Meanwhile 31 Windows tools and utilities are available. And this is what users get:

  • Small setup files that can be downloaded even using slow internet connections
  • Easy installation processes, uninstaller is always included
  • No adware, spyware, popups or whatever extends software nowadays
  • Very easy to handle program interfaces
  • Software that really fulfils the customers’ needs – nothing more, but also nothing less
  • Fast possibility to extend the trial period by obtaining a free registration key
  • Users can also buy 1-abc.net software on CD instead of downloading
Additionally, more and more distribution companies worldwide sell 1-abc.net software as boxes or through other channels licensed under their own label. 1-abc.net Android™ apps for mobile devices and Windows Store Apps are available from the website http://mobile.1-abc.net.

Support

1-abc.net
Grünenstr. 120
28199 Bremen

Germany

Unfortunately we currently offer NO telephone support, please take a look at this website to find out more or to contact us via e-mail:

http://1-abc.net/support.htm